rte_security_ipsec_lifetime(3)

NAME
rte_security_ipsec_lifetime

SYNOPSIS

#include <rte_security.h>

  Data Fields

uint64_t packets_soft_limit
uint64_t bytes_soft_limit
uint64_t packets_hard_limit
uint64_t bytes_hard_limit

Detailed Description

Configure soft and hard lifetime of an IPsec SA

Lifetime of an IPsec SA would specify the maximum number of packets or bytes that can be processed. IPsec operations would start failing once any hard limit is reached.

Soft limits can be specified to generate notification when the SA is approaching hard limits for lifetime. For inline operations, reaching soft expiry limit would result in raising an eth event for the same. For lookaside operations, this would result in a warning returned in rte_crypto_op.aux_flags.

Definition at line 285 of file rte_security.h.

Field Documentation

  uint64_t packets_soft_limit
Soft expiry limit in number of packets

Definition at line 286 of file rte_security.h.

  uint64_t bytes_soft_limit
Soft expiry limit in bytes

Definition at line 288 of file rte_security.h.

  uint64_t packets_hard_limit
Hard expiry limit in number of packets

Definition at line 290 of file rte_security.h.

  uint64_t bytes_hard_limit
Hard expiry limit in bytes

Definition at line 292 of file rte_security.h.

Author

Generated automatically by Doxygen for DPDK from the source code.